### Method

# Clutter BrightnessContrastEffect set_brightness_full

#### Declaration [src]

    void
    clutter_brightness_contrast_effect_set_brightness_full (
      ClutterBrightnessContrastEffect* effect,
      float red,
      float green,
      float blue
    )

#### Description [src]

The range for each component is [-1.0, 1.0] where 0.0 designates no change, values below 0.0 mean a decrease in brightness, and values above indicate an increase.

#### Parameters

`red`

  Type: `float`

  Red component of the change in brightness.

`green`

  Type: `float`

  Green component of the change in brightness.

`blue`

  Type: `float`

  Blue component of the change in brightness.